proc printvarbinds {vBinds} {
  foreach vb $vBinds {
   .t insert insert "  $vb\n"
  .t yview -pickplace insert
  }
}

proc callback {ctxproc id eStatus eIndex vBinds} { 
  if { [string compare $eStatus "noError"] == 0 } {
    .t insert insert "call received from $ctxproc, ID = $id\n"
    printvarbinds $vBinds 
  }
  else {
    .t insert insert "$integer ($ctxproc): error $eStatus at $eIndex\n"
    printvarbinds $vBinds
  }
  .t yview -pickplace insert
}

text .t 
pack .t -side left -fill both -expand 1
wm title . "snmp output screen"
wm minsize . 500 300

newsnmp agent 130.89.16.108

