/* 
 * include file ttAgwntList.c
 */


typedef struct TAgentInfo {
  AsnOcts agentaddr;  /* ip address of the agent */
  AsnInt  retries;    /* number of retries for retrieval operations */
  AsnInt  timeout;    /* number of seconds before timeout */
  AsnInt  maxrept;    /* maxrept parameter for get-bulk operation */
  AsnInt  nonrptr;    /* nonrptr parameter for get-bulk operation */
} TAgentInfo;


STATUS CreateAgentList();

STATUS RemoveAgentList();

STATUS AddAgent( AsnOcts *agentname, TAgentInfo AgentInfo );

STATUS DelAgent( AsnOcts *agentname );

STATUS GetAgent( AsnOcts *agentname,  TAgentInfo *AgentInfo );

STATUS SetAgent( AsnOcts *agentname,  TAgentInfo AgentInfo );

STATUS PrintAgentList();
